
#include "ads_mousegrabber.h"

const QCursor *IAdsMouseGrabber::getCursor()
{
  return &cursor;
}

bool IAdsMouseGrabber::activate(const QPoint&)
{
  return false;
}

bool IAdsMouseGrabber::mousePress(QMouseEvent*)
{
  return false;
}

bool IAdsMouseGrabber::mouseRelease(QMouseEvent*)
{
  return false;
}

bool IAdsMouseGrabber::mouseMove(QMouseEvent*)
{
  return true;
}

bool IAdsMouseGrabber::mouseWheel(QWheelEvent*)
{
  return true;
}

void IAdsMouseGrabber::cursorGotoXY(int /*x*/, int /*y*/)
{
}

void IAdsMouseGrabber::deactivate()
{
}

void IAdsMouseGrabber::abort()
{
}

bool IAdsMouseGrabber::needMouseTraking()
{
  return false;
}

const char *IAdsMouseGrabber::grabberName()
{
  return "fakeMcsMouseGrabber";
}

IAdsMouseGrabber::IAdsMouseGrabber():
  cursor(Qt::CrossCursor)
{
}

IAdsMouseGrabber::~IAdsMouseGrabber()
{
}
